Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface INamespaceObject

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  IAdapterDescriptor, IApplicationViewDescriptor, IConnectionFactoryDescriptor, INamespace, ISchemaDescriptor

    public interface INamespaceObject

extends Serializable

Represents any object that can exist in a namespace. INamespaceObjects have a QualifiedName, and an optional description. Because this interface extends Serializable, all implementations of INamespaceObject must be Serializable.

Method Summary
`boolean` | `equals(Object obj)` Compare this object to the given object and determine if they are equal.
`String` | `getDescription()` Return a description of this namespace object and its intended use.
`long` | `getLastUpdateTime()` Get the timestamp when this object was last updated.
`String` | `getName()` Return this object's name.
`INamespace` | `getParentNamespace()` Get this namespace object's parent namespace.
`QualifiedName` | `getQualifiedName()` Return a QualifiedName representing this namespace object's name and parent namespace.
`void` | `setDescription(String description)` Set the description of this namespace object and its intended use.
`void` | `setName(String name)` Set this object's name.
`void` | `setParentNamespace(INamespace parent)` Set this namespace object's parent namespace.
`void` | `syncLastUpdateTime()` Set the timestamp on this object to the timestamp on its persistent file.
`void` | `touch()` Force the last update time to the current system time.

Method Detail

### equals

    boolean equals(Object obj)

  Compare this object to the given object and determine if they are equal. For INamespaceObjects, this means that both objects match in name, and parent namespace.

  Overrides:
    `equals` in class `Object`
  Returns:
    True if the name and namespace of the obj param equal this INamespaceObject's name and namespace.

### getQualifiedName

    QualifiedName getQualifiedName()

  Return a QualifiedName representing this namespace object's name and parent namespace.

  Returns:
    A QualifiedName representing the namespace object's name and parent namespace. This should never be null.

### getName

    String getName()

  Return this object's name. For a fully qualified name for this object, use getQualifiedName().

  Returns:
    This object's name. This should never be null.

### setName

    void setName(String name)
                 throws IllegalArgumentException

  Set this object's name. This method does not change the namespace to which the object belongs, just its name.

  Parameters:
    `name` - The new name for this object. Null is not allowed.
  Throws:
    `IllegalArgumentException` - If the name param is null.

### getDescription

    String getDescription()

  Return a description of this namespace object and its intended use.

  Returns:
    A description of this namespace object and its intended use, or null if no description has been set.

### setDescription

    void setDescription(String description)

  Set the description of this namespace object and its intended use.

  Parameters:
    `description` - A description of this namespace object and its intended use, or null if no description is known.

### getParentNamespace

    INamespace getParentNamespace()

  Get this namespace object's parent namespace.

  Returns:
    This namespace object's parent namespace. This can only be null when the namespace is the root namespace, or the object does not yet exist in a namespace.

### setParentNamespace

    void setParentNamespace(INamespace parent)

  Set this namespace object's parent namespace.

  Parameters:
    `parent` - This namespace object's parent namespace. Setting this parameter to null should be avoided, and indicates that the namespace object has no parent.

### getLastUpdateTime

    long getLastUpdateTime()

  Get the timestamp when this object was last updated.

### syncLastUpdateTime

    void syncLastUpdateTime()

  Set the timestamp on this object to the timestamp on its persistent file.

### touch

    void touch()

  Force the last update time to the current system time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD